﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LegoGame
{
    public class LegoKlods
    {
        public static int nextId =1;
        private int xMax = 10;
        private int yMax = 10;

        public int Id { get; set; }
        public string Color {  get; set; }
        public int Value { get; set; }
        public bool Op { get; set; }
        public int XPos { get; set; }
        public int YPos { get; set; }

        public LegoKlods() { Id = nextId++;  Color = "Rød"; Value = 8; Op = false; XPos = 0; YPos = 0; }
        public LegoKlods( string  color, int value, bool op, int xPos, int yPos) 
        {
            Id = nextId++;
            Color = color;
            Value = value;
            Op = op;
            XPos = xPos;
            YPos = yPos;
        }

        public void Move(int xPos, int yPos)
        {
            XPos = xPos % xMax;
            YPos = yPos % yMax;
        }

        public void MoveUp() { YPos = (YPos - 1) % yMax ; }
        public void MoveUp(int yPos) { YPos = (YPos - yPos) % yMax; }

        //public override string ToString()
        //{
        //    return $"{{{nameof(Color)}={Color}, {nameof(Value)}={Value.ToString()}, {nameof(Op)}={Op.ToString()}, {nameof(XPos)}={XPos.ToString()}, {nameof(YPos)}={YPos.ToString()}}}";
        //}

        public override string ToString()
        {
            return $"Id={Id} \nColor={Color} \nValue={Value} \nOp={Op} \nXPos={XPos} \nYPos={YPos} \n";
        }



    }
}
